Bug 143514 - fc3 php breaks bw compat wrt double to long conversion
Summary: fc3 php breaks bw compat wrt double to long conversion
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-21 20:21 UTC by Oskari Saarenmaa
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 4.3.11-2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 07:51:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Oskari Saarenmaa 2004-12-21 20:21:22 UTC
Description of problem:
When rolling new rpms for fc1 based on the current rpms in fc3 I
noticed that a change from php5 had been backported to php4 that
breaks backwards compatibility with regard to converting floats to
integers.

While I understand that the previous behaviour was undefined, it
worked for quite a few different purposes, and with this change I
don't see any obvious way to fix existing scripts.

PHP bug http://bugs.php.net/bug.php?id=30701 has some more information
and links to other related bugs in the php bug system.

Version-Release number of selected component (if applicable):
php-4.3.9-4

How reproducible:
Always

Steps to Reproduce:
1. echo '<?php var_dump((int)0xffffffff) ?>' | php -q

Actual Results:  int(2147483647)

Expected Results:  int(-1)

Comment 1 Joe Orton 2004-12-21 22:28:13 UTC
Note that the results of the above are different on the two platforms
 supported by FC3.  But maybe we should revert this in FC3 too.

Comment 2 Joe Orton 2005-04-19 07:51:54 UTC
Fixed in 4.3.11 update, thanks for the report:

http://www.redhat.com/archives/fedora-announce-list/2005-April/msg00033.html


Note You need to log in before you can comment on or make changes to this bug.